<?php
require("pwcheck.php");

function ldap_login($loginid, $passwd)
{
     global $ldapsrv;
     global $binddn;
     global $bindpw;
     global $basedn;
     global $attr;
     global $filter;
     
     $ldapconn = @ldap_connect($ldapsrv);
     if($ldapconn === FALSE) {
	  $error = error_get_last();
	  printf("Cannot connect %s:%s\n", $ldapsrv, $error["message"]);
	  return(FALSE);
     }

     ldap_set_option($ldapconn, LDAP_OPT_PROTOCOL_VERSION, 3);
     $result = @ldap_bind($ldapconn, $binddn, $bindpw);

     if($result === FALSE) {
	  $error = ldap_error($ldapconn);
	  printf("Cannot bind to %s: %s\n", $ldapsrv, $error); 
	  return(FALSE);
     }

     $fs = sprintf($filter, $loginid);

     $search = @ldap_search($ldapconn, $basedn, $fs, $attr);
     if($search === FALSE) {
	  $error = ldap_error($ldapconn);
	  printf("LDAP Search error at %s: %s\n", $ldapsrv, $error); 
	  return(FALSE);
     }

     $data = ldap_get_entries($ldapconn, $search);

     for($i = 0; $i < $data["count"]; $i++) {
	  printf("DN: %s<BR>\n", $data[$i]["dn"]);
	  printf("UID: %s<BR>\n", $data[$i]["uid"][0]);
	  if(isset($data[$i]["userpassword"])) {
	       $hash = $data[$i]["userpassword"][0];

	       printf("userPassword: %s<BR>\n", $hash);

	       if(password_check($passwd, $hash) === TRUE) {
		    // Password OK
		    return(TRUE);
	       }
	  }
     }
     return(FALSE);
}
?>
